﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Model.Cache
{
    /// <summary>
    ///  胎心与孕妇心率映射
    /// </summary>
    public class FhrPhrMap
    {
        // 孕周期
        public int[]? PregnancyPeriod { get; set; }
        // 胎心范围
        public int[]? FetalHeartRateRange { get; set; }
        // 胎心平均值
        public int FetalHeartRateAverage { get; set; }
        // 孕妈心率
        public int[]? PregnancyHeartRateRange { get; set; }
        // 胎心浮动系数
        public int[]? FetalHeartRateFluctuationCoefficient { get; set; }

        public FhrPhrMap(int[] pregnancyPeriod, int[] fetalHeartRateRange, int fetalHeartRateAverage, int[] maternalHeartRateRange, int[] fetalHeartRateFluctuationCoefficient)
        {
            PregnancyPeriod = pregnancyPeriod;
            FetalHeartRateRange = fetalHeartRateRange;
            FetalHeartRateAverage = fetalHeartRateAverage;
            PregnancyHeartRateRange = maternalHeartRateRange;
            FetalHeartRateFluctuationCoefficient = fetalHeartRateFluctuationCoefficient;
        }
    }
}
